Emitted when the RealTimeNumber.value of a RealTimeNumber is set.

### Hierarchy

- NumberSetValueEvent

### Implements

- IValueChangedEvent

## Index

### Properties

- element
- local
- name
- sessionId
- user
- NAME

## Properties

### element

element: ObservableNumber

Implementation of IValueChangedEvent.element

The RealTimeNumber or HistoricalNumber which was modified

### local

local: boolean

Implementation of IValueChangedEvent.local

### name

name: string = NumberSetValueEvent.NAME

Implementation of IValueChangedEvent.name

The name of the event that was fired. This is commonly used to filter when using the ConvergenceEventEmitter.events stream.

Note that the name is only guaranteed to be unique within the class / subsystem that is firing it. Names might be reused across classes and subsystems.

### sessionId

sessionId: string

Implementation of IValueChangedEvent.sessionId

The sessionId corresponding to the session that performed the modification

### user

user: DomainUser

Implementation of IValueChangedEvent.user

The user which performed the modification

### StaticNAME

NAME: "value" = "value"